services:
  recaptcha.type:
    class: YuzuWebAgency\RecaptchaBundle\Type\RecaptchaSubmitType
    tags: ['form.type']
    arguments:
      $key: '%recaptcha.key%'
  recaptcha.validator:
    class: YuzuWebAgency\RecaptchaBundle\Constraints\RecaptchaValidator
    tags: ['validator.constraint_validator']
    autowire: true
  ReCaptcha\ReCaptcha:
    class: ReCaptcha\ReCaptcha
    arguments:
      $secret: '%recaptcha.secret%'
      $requestMethod: '@ReCaptcha\RequestMethod'
  ReCaptcha\RequestMethod: '@ReCaptcha\RequestMethod\CurlPost'
  ReCaptcha\RequestMethod\CurlPost: ~
